Error on wp_default_style After upgrade to php 7

After upgrading my site to php 7. I have been constantly getting this error regarging the parameter to native wordpress function wp_default_style().
Spent so many days to fix it but was not able to do so. Any idea or help will be much appreciated. The error shown in newrelic is below:

Stack trace
E_WARNING: Parameter 1 to wp_default_styles() expected to be a reference,
value given
in call_user_func_array called at /nas/content/live/wp-
includes/class-wp-hook.php (286)
in WP_Hook::apply_filters called at /nas/content/live/wp-
includes/class-wp-hook.php (310)
in WP_Hook::do_action called at /nas/content/live/wp-
includes/plugin.php (515)
in do_action_ref_array called at /nas/content/live/wp-
includes/class.wp-styles.php (116)
in WP_Styles::__construct called at /nas/content/live/wp-
includes/functions.wp-styles.php (23)
in wp_styles called at /nas/content/live/wp-
includes/functions.wp-styles.php (123)
in wp_register_style called at /nas/content/live/wp-
content/plugins/the-events-calendar/common/src/Tribe/Assets.php (65)
in Tribe__Assets::register_in_wp called at ? (?)
in call_user_func_array called at /nas/content/live/wp-
includes/class-wp-hook.php (284)
in WP_Hook::apply_filters called at /nas/content/live/wp-
includes/class-wp-hook.php (310)
in WP_Hook::do_action called at /nas/content/live/wpincludes/plugin.php (453)
in do_action called at /nas/content/live/wp-settings.php (450)
in require_once called at /nas/content/live/wp-config.php (130)
in require_once called at /nas/content/live/wp-load.php (37)
in require_once called at /nas/content/live/wp-blog-header.php (13)
in require called at /nas/content/live/index.php (17)

Read more here:: Error on wp_default_style After upgrade to php 7

Leave a Reply

Your email address will not be published. Required fields are marked *